Change in ...osmo-sgsn[master]: manuals: Add script to regenerate vty/counter documentation

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 12:24:27 UTC 2019


daniel has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-sgsn/+/14534


Change subject: manuals: Add script to regenerate vty/counter documentation
......................................................................

manuals: Add script to regenerate vty/counter documentation

Change-Id: I8ee63a3da532285def8de7fe5e90873152adb21e
Related: OS#1700
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-sgsn refs/changes/34/14534/1

diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 52283ab..4c6b847 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
 EXTRA_DIST = osmosgsn-usermanual.adoc \
     osmosgsn-usermanual-docinfo.xml \
     osmosgsn-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     vty
 
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..d758436
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_SGSN_BRANCH=$COMMIT ./regen_doc.sh osmo-sgsn 4245 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/sgsn_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-sgsn/+/14534
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-sgsn
Gerrit-Branch: master
Gerrit-Change-Id: I8ee63a3da532285def8de7fe5e90873152adb21e
Gerrit-Change-Number: 14534
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/9927aaac/attachment.html>


More information about the gerrit-log mailing list